Bug 243394 - zone1970.tab file is missing from /usr/share/zoneinfo/
Summary: zone1970.tab file is missing from /usr/share/zoneinfo/
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 12.1-RELEASE
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip Paeps
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-16 15:16 UTC by Rodrigo Osorio
Modified: 2020-08-28 08:24 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rodrigo Osorio freebsd_committer 2020-01-16 15:16:47 UTC
The tz zone description file zone1970.tab who replaces the old zone.tab file, is not present in fresh 12.1 installations even if the file is present in the svn repository (freebsd/contrib/tzdata/zone1970.tab).

Only the zone.tab file, who is required for compatibility purposes is currently available.

This table is intended as an aid for users, to help them select time zone data appropriate for their practical needs
Comment 1 Philip Paeps freebsd_committer 2020-04-25 03:24:18 UTC
This was fixed by tmunro@ in head in r350079 (2019-07-17 06:17:27 +0000) but never merged to stable/12 or stable/11.

Thomas: could you merge this changes to the stable branches please?  Or would you like me to do it?
Comment 2 Thomas Munro freebsd_committer 2020-04-28 00:07:02 UTC
I will do that -- please give me a couple of days.
Comment 3 commit-hook freebsd_committer 2020-08-28 08:14:19 UTC
A commit references this bug:

Author: philip
Date: Fri Aug 28 08:13:49 UTC 2020
New revision: 364902
URL: https://svnweb.freebsd.org/changeset/base/364902

Log:
  MFC r350079:

  tzsetup: upgrade to zone1970.tab

  zone.tab is deprecated.  Install zone1970.tab alongside it, and use it
  for tzsetup(8).  This is also useful for other applications that need
  the modern better maintained file.

  PR:		243394
  Submitted by:	tmunro

Changes:
_U  stable/12/
  stable/12/share/zoneinfo/Makefile
  stable/12/usr.sbin/tzsetup/tzsetup.c
Comment 4 commit-hook freebsd_committer 2020-08-28 08:15:20 UTC
A commit references this bug:

Author: philip
Date: Fri Aug 28 08:14:20 UTC 2020
New revision: 364903
URL: https://svnweb.freebsd.org/changeset/base/364903

Log:
  MFC r350079:

  tzsetup: upgrade to zone1970.tab

  zone.tab is deprecated.  Install zone1970.tab alongside it, and use it
  for tzsetup(8).  This is also useful for other applications that need
  the modern better maintained file.

  PR:             243394
  Submitted by:   tmunro

Changes:
_U  stable/11/
  stable/11/share/zoneinfo/Makefile
  stable/11/usr.sbin/tzsetup/tzsetup.c
Comment 5 Philip Paeps freebsd_committer 2020-08-28 08:24:22 UTC
I've merged Thomas's fix from a couple of months ago to stable/12 and stable/11 today.